AOZ Studio Beta - Bug #254

Some Tracker files sound very distorted. (They play clean on other players>)
02/25/2020 02:12 PM - Brian Flanagan

Status: Resolved Start date: 02/25/2020
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5

Description

Example:

Try the Tracker demo provided with version 0.9.5, and substitute black_queen.mod for the one provided.
It will play, however, the audio is very distorted. If the same track is loaded in the online version of Bassoon Tracker, it plays clean.

Here's a link to the online version:
https://www.stef.be/bassoontracker/?file=https%3A%2F %2Fwww.stef.be%2Fbassoontracker¥%2Fapi%2F modules.pl%2F 125

History

#1 - 02/27/2020 10:01 AM - Francois Lionet

- Assignee set to Baptiste Bideaux

#2 - 03/20/2020 09:17 AM - Baptiste Bideaux

There is the same problem with the WAV sounds played with Sam Play. | think that this comes from the transformation by the transpiler of the binary
files into base64 (JS file). There is either a loss of information or complete corruption.

When you play the same files normally (without transformation), everything is normal.

#3 - 10/08/2020 02:51 PM - Brian Flanagan

- Status changed from New to Resolved

This seems to be working fine in the current version (Beta RC3).
